Ads · Ad Campaigns
Returns ads that need attention.
GET
https://api.pozy.ai/v1/ads/alertsFacebook and Instagram, Google Workspace, TikTok, LinkedIn, Pinterest and X and 1 morelistAdsAlerts
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
accountId | string | |
profileId | string | |
includeDismissed | boolean | Default false |
Example
curl -X GET "https://api.pozy.ai/v1/ads/alerts" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ads/alerts", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ads/alerts",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
alertsarray of object14 child fields
idstringkindstringOne of
ad_rejected,delivery_issue,payment,budget_limited,spend_no_results,connection_lost,sync_failing.severitystringOne of
error,warning,info.titlestringmessagestringplatformstringplatformAdAccountIdstringentityobject3 child fields
levelstringOne of
ad_account,campaign,ad_set,ad.idstringnamestringCan be null.
adIdstringaccountIdstringcurrencystringCan be null.
detectedAtstring (date-time)fixobject2 child fields
labelstringurlstring (uri-reference)
dismissedboolean
countsobjecterrorintegerwarningintegerinfointeger
200 response
{
"alerts": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"kind": "ad_rejected",
"severity": "error",
"title": "Launch day",
"message": "Hello from Pozy",
"platform": "instagram",
"platformAdAccountId": "673c621a82c88059710de3fd",
"entity": {
"level": "ad_account",
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme"
},
"adId": "6f40fa2fb0a7e728dd1a73b7",
"accountId": "696e0b682d0a31188e7a2ba9",
"currency": "USD",
"detectedAt": "2026-10-02T09:00:00.000Z",
"fix": {
"label": "string",
"url": "https://pozy.ai/media/example-1.jpg"
},
"dismissed": true
}
],
"counts": {
"error": 1,
"warning": 1,
"info": 1
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Ad Campaigns
GETList adsGETList Google Ads recommendationsPOSTApply Google Ads recommendationsPOSTDismiss Google Ads recommendationsGETList portfolio bid strategiesPOSTCreate portfolio bid strategyPATCHUpdate portfolio bid strategyGETList shared budgetsPOSTCreate a shared budgetGETList Search keywordsPOSTAdd Search ad-group keywordsPATCHPause or enable a Search keywordDELRemove a Search keywordGETList campaignsPOSTCreate a standalone campaignPUTPause or resume a campaignGETRead a campaign's ad schedule (dayparting)PUTReplace a campaign's ad schedule (dayparting)GETRead a campaign's current biddingGETGet live campaign detailsPUTUpdate a campaignDELDelete a campaignGETList campaign-level negative keywordsPUTReplace campaign-level negative keywordsPOSTPause or resume many campaignsPOSTDuplicate a campaignGETRead a Google campaign's device, location, excluded location, and language targetingPUTEdit a Google campaign's device, location, excluded location, or language targetingGETList ad setsPOSTCreate a standalone ad groupPOSTDuplicate an ad setPOSTDuplicate an adGETGet live ad-set detailsPUTUpdate an ad setDELDelete an ad setGETRead a Reddit ad group's targeting and schedulePUTPause or resume a single ad setGETGet campaign treeGETGet daily account metricsGETGet ad detailsPUTUpdate adDELCancel an adPUTPause or resume a single adGETList campaign assetsPOSTAttach campaign assetsPUTUpdate campaign assetsDELRemove campaign assetsGETList ad-group assetsPOSTAttach ad-group assetsPUTUpdate ad-group assetsDELRemove ad-group assetsGETRead the platform's review verdict for an adGETReview status of each creative in a TikTok Smart+ adPOSTDismiss an ads alertGETReview status of every TikTok Smart+ ad of an advertiserGETList campaign negative listsPUTReplace campaign negative listsPOSTBoost post as adGETList Performance Max asset groupsPOSTCreate a Performance Max asset groupGETGet a Performance Max asset groupPATCHUpdate a Performance Max asset groupDELRemove a Performance Max asset groupPOSTLink or unlink asset group assetsPUTReplace an asset group's listing-group treePOSTCreate standalone adGETGet campaign conversion goalsPATCHUpdate campaign conversion goals